# Uses of Interface
org.opensaml.saml.saml2.metadata.ServiceDescription

Packages that use ServiceDescription
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of ServiceDescription in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type ServiceDescription
Modifier and Type
Method
Description
`List<ServiceDescription>`
AttributeConsumingService.`getDescriptions()`
Gets the descriptions for this service.

## Uses of ServiceDescription in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement ServiceDescription
Modifier and Type
Class
Description
`class`
`ServiceDescriptionImpl`
Concrete implementation of `ServiceDescription`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type ServiceDescription
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ServiceDescription>`
AttributeConsumingServiceImpl.`serviceDescriptions`
ServiceDescription children.
Methods in org.opensaml.saml.saml2.metadata.impl that return ServiceDescription
Modifier and Type
Method
Description
`ServiceDescription`
ServiceDescriptionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ServiceDescription`
ServiceDescriptionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type ServiceDescription
Modifier and Type
Method
Description
`List<ServiceDescription>`
AttributeConsumingServiceImpl.`getDescriptions()`
Gets the descriptions for this service.